package com.yonge.cooleshow.biz.dal.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.yonge.cooleshow.biz.dal.enums.YesOrNoEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;

import org.springframework.format.annotation.DateTimeFormat;

/**
 * 教师表
 */
@TableName("teacher")
@ApiModel(value = "Teacher对象", description = "教师表")
public class Teacher implements Serializable {
	private static final long serialVersionUID = 1L;
    /** 
    * 对应user表用户编号 
    */
    @ApiModelProperty("对应user表用户编号 ")
    @TableId(value = "user_id_")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long userId;
    /** 
    * 学历 
    */
    @ApiModelProperty("学历 ")
	@TableField(value = "education_background_")
    private String educationBackground;
    /** 
    * 毕业学校 
    */
    @ApiModelProperty("毕业学校 ")
	@TableField(value = "graduate_school_")
    private String graduateSchool;
    /** 
    * 技术职称 
    */
    @ApiModelProperty("技术职称 ")
	@TableField(value = "technical_titles_")
    private String technicalTitles;
    /** 
    * 工作单位 
    */
    @ApiModelProperty("工作单位 ")
	@TableField(value = "work_unit_")
    private String workUnit;
    /** 
    * 专业技能（支持多个，用逗号分隔），对应声部表编号
    */
    @ApiModelProperty("声部id（支持多个，用逗号分隔） ")
	@TableField(value = "subject_id_")
    private String subjectId;
    /**
     * 个人介绍
     */
    @ApiModelProperty("个人介绍 ")
    @TableField(value = "introduction_")
    private String introduction;
    /**
     * 学校专业
     */
    @ApiModelProperty("学校专业 ")
    @TableField(value = "subject_")
    private String subject;
    /**
     * 毕业证书
     */
    @ApiModelProperty("毕业证书 ")
    @TableField(value = "grad_certificate_")
    private String gradCertificate;
    /**
     * 学位证书
     */
    @ApiModelProperty("学位证书 ")
    @TableField(value = "degree_certificate_")
    private String degreeCertificate;
    /**
     * 教师资格证
     */
    @ApiModelProperty("教师资格证 ")
    @TableField(value = "teacher_certificate_")
    private String teacherCertificate;
    /**
     * 老师入驻  0 否 1 是
     */
    @ApiModelProperty("老师入驻  0 否 1 是 ")
    @TableField(value = "entry_flag_")
    private YesOrNoEnum entryFlag;
    /**
    * 入驻时间 
    */
    @ApiModelProperty("入驻时间 ")
	@TableField(value = "entry_auth_date_")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date entryAuthDate;

    /** 
    * 音乐人  0 否 1 是
    */
    @ApiModelProperty("音乐人  0 否 1 是 ")
	@TableField(value = "musician_flag_")
    private YesOrNoEnum musicianFlag;
    /**
     * 音乐人认证时间
     */
    @ApiModelProperty("音乐人认证时间 ")
    @TableField(value = "musician_date_")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date musicianDate;
    @ApiModelProperty("直播权限 0 否 1 是")
    @TableField(value = "live_flag_")
    private YesOrNoEnum liveFlag;
    @ApiModelProperty("直播认证时间 ")
    @TableField(value = "live_date_")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date liveDate;
    @ApiModelProperty("备注 ")
	@TableField(value = "memo_")
    private String memo;
	@TableField(value = "create_time_")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date createTime;
	@TableField(value = "update_time_")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date updateTime;

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getEducationBackground() {
        return educationBackground;
    }

    public void setEducationBackground(String educationBackground) {
        this.educationBackground = educationBackground;
    }

    public String getGraduateSchool() {
        return graduateSchool;
    }

    public void setGraduateSchool(String graduateSchool) {
        this.graduateSchool = graduateSchool;
    }

    public String getTechnicalTitles() {
        return technicalTitles;
    }

    public void setTechnicalTitles(String technicalTitles) {
        this.technicalTitles = technicalTitles;
    }

    public String getWorkUnit() {
        return workUnit;
    }

    public void setWorkUnit(String workUnit) {
        this.workUnit = workUnit;
    }

    public String getSubjectId() {
        return subjectId;
    }

    public void setSubjectId(String subjectId) {
        this.subjectId = subjectId;
    }

    public String getIntroduction() {
        return introduction;
    }

    public void setIntroduction(String introduction) {
        this.introduction = introduction;
    }

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public String getGradCertificate() {
        return gradCertificate;
    }

    public void setGradCertificate(String gradCertificate) {
        this.gradCertificate = gradCertificate;
    }

    public String getDegreeCertificate() {
        return degreeCertificate;
    }

    public void setDegreeCertificate(String degreeCertificate) {
        this.degreeCertificate = degreeCertificate;
    }

    public String getTeacherCertificate() {
        return teacherCertificate;
    }

    public void setTeacherCertificate(String teacherCertificate) {
        this.teacherCertificate = teacherCertificate;
    }

    public YesOrNoEnum getEntryFlag() {
        return entryFlag;
    }

    public void setEntryFlag(YesOrNoEnum entryFlag) {
        this.entryFlag = entryFlag;
    }

    public Date getEntryAuthDate() {
        return entryAuthDate;
    }

    public void setEntryAuthDate(Date entryAuthDate) {
        this.entryAuthDate = entryAuthDate;
    }

    public YesOrNoEnum getMusicianFlag() {
        return musicianFlag;
    }

    public void setMusicianFlag(YesOrNoEnum musicianFlag) {
        this.musicianFlag = musicianFlag;
    }

    public Date getMusicianDate() {
        return musicianDate;
    }

    public void setMusicianDate(Date musicianDate) {
        this.musicianDate = musicianDate;
    }

    public YesOrNoEnum getLiveFlag() {
        return liveFlag;
    }

    public void setLiveFlag(YesOrNoEnum liveFlag) {
        this.liveFlag = liveFlag;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Date getLiveDate() {
        return liveDate;
    }

    public void setLiveDate(Date liveDate) {
        this.liveDate = liveDate;
    }
}